{% extends 'base.html' %}
{% load static %}

{% block content %}

<section id="premium" class="container">
    <form method="post"> {% csrf_token %}
        <div class="row">
            <div class="col">
                <div class="card-body border border-5 py-5">
                    <div class="d-flex justify-content-center mb-3">
                        <span class="badge rounded-circle fs-1">{{ premiumOfferts.0.id }}</span>
                    </div>
                    <h4 class="card-title text-center">1 WEEK</h4>
                    <h2 class="dark-blue-text-color text-center">Free Trial</h2>
                    <ul class="list-group list-group-flush my-5">
                        <li class="list-group-item border-0 d-flex">
                            <img class="me-2" src="{% static 'icons/check.svg' %}" alt="check-icon" width="24">
                            No advertising
                        </li>
                        <li class="list-group-item border-0 d-flex">
                            <img class="me-2" src="{% static 'icons/check.svg' %}" alt="check-icon" width="24">
                            Unlimited access to the AnimeFLIX catalog
                        </li>
                        <li class="list-group-item border-0 d-flex">
                            <img class="me-2" src="{% static 'icons/check.svg' %}" alt="check-icon" width="24">
                            New episodes one hour after Japan
                        </li>
                        <li class="list-group-item border-0 d-flex">
                            <img class="me-2" src="{% static 'icons/check.svg' %}" alt="check-icon" width="24">
                            Stream on 1 device at a time
                        </li>
                        <li class="list-group-item border-0 not-served d-flex">
                            <img class="me-2" src="{% static 'icons/close.svg' %}" alt="close-icon" width="24">
                            Offline Viewing
                        </li>
                        <li class="list-group-item border-0 not-served d-flex">
                            <img class="me-2" src="{% static 'icons/close.svg' %}" alt="close-icon" width="24">
                            xx% discount on Monthly Plan
                        </li>
                    </ul>
                    <div class="d-flex justify-content-center">
                        {% if existing_premium and not existing_premium.scaduto and existing_premium.id_premium.pk == premiumOfferts.0.id %}
                            <button class="btn btn-primary" data-bs-toggle="modal"
                                    data-bs-target="#del-premium-{{ existing_premium.id }}-modal">
                                UNSUBSCRIBE
                            </button>
                            {% include 'animeflix_app/pages/deleteSubscriptionModal.html' %}
                        {% else %}
                            <button type="submit" name="offert" class="btn btn-primary" value="{{ premiumOfferts.0.id }}">
                                SUBSCRIBE
                            </button>
                        {% endif %}
                    </div>
                </div>
            </div>
            <div class="col">
                <div class="card-body border border-5 py-5">
                    <div class="d-flex justify-content-center mb-3">
                        <span class="badge rounded-circle fs-1">{{ premiumOfferts.1.id }}</span>
                    </div>
                    <h4 class="card-title text-center">1 MONTH</h4>
                    <h2 class="dark-blue-text-color text-center">X,XX €/month</h2>
                    <ul class="list-group list-group-flush my-5">
                        <li class="list-group-item border-0 d-flex">
                            <img class="me-2" src="{% static 'icons/check.svg' %}" alt="check-icon" width="24">
                            No advertising
                        </li>
                        <li class="list-group-item border-0 d-flex">
                            <img class="me-2" src="{% static 'icons/check.svg' %}" alt="check-icon" width="24">
                            Unlimited access to the AnimeFLIX catalog
                        </li>
                        <li class="list-group-item border-0 d-flex">
                            <img class="me-2" src="{% static 'icons/check.svg' %}" alt="check-icon" width="24">
                            New episodes one hour after Japan
                        </li>
                        <li class="list-group-item border-0 d-flex">
                            <img class="me-2" src="{% static 'icons/check.svg' %}" alt="check-icon" width="24">
                            Stream on 4 device at a time
                        </li>
                        <li class="list-group-item border-0 d-flex">
                            <img class="me-2" src="{% static 'icons/check.svg' %}" alt="check-icon" width="24">
                            Offline Viewing
                        </li>
                        <li class="list-group-item border-0 not-served d-flex">
                            <img class="me-2" src="{% static 'icons/close.svg' %}" alt="close-icon" width="24">
                            xx% discount on Monthly Plan
                        </li>
                    </ul>
                    <div class="d-flex justify-content-center">
                        {% if existing_premium and not existing_premium.scaduto and existing_premium.id_premium.pk == premiumOfferts.1.id %}
                            <button class="btn btn-primary" data-bs-toggle="modal"
                                    data-bs-target="#del-premium-{{ existing_premium.id }}-modal">
                                UNSUBSCRIBE
                            </button>
                            {% include 'animeflix_app/pages/deleteSubscriptionModal.html' %}
                        {% else %}
                            <button type="submit" name="offert" class="btn btn-primary" value="{{ premiumOfferts.1.id }}">
                                SUBSCRIBE
                            </button>
                        {% endif %}
                    </div>
                </div>
            </div>
            <div class="col">
                <div class="card-body border border-5 py-5">
                    <div class="d-flex justify-content-center mb-3">
                        <span class="badge rounded-circle fs-1">{{ premiumOfferts.2.id }}</span>
                    </div>
                    <h4 class="card-title text-center">1 YEAR</h4>
                    <h2 class="dark-blue-text-color text-center">XX,XX €/year</h2>
                    <ul class="list-group list-group-flush my-5">
                        <li class="list-group-item border-0 d-flex">
                            <img class="me-2" src="{% static 'icons/check.svg' %}" alt="check-icon" width="24">
                            No advertising
                        </li>
                        <li class="list-group-item border-0 d-flex">
                            <img class="me-2" src="{% static 'icons/check.svg' %}" alt="check-icon" width="24">
                            Unlimited access to the AnimeFLIX catalog
                        </li>
                        <li class="list-group-item border-0 d-flex">
                            <img class="me-2" src="{% static 'icons/check.svg' %}" alt="check-icon" width="24">
                            New episodes one hour after Japan
                        </li>
                        <li class="list-group-item border-0 d-flex">
                            <img class="me-2" src="{% static 'icons/check.svg' %}" alt="check-icon" width="24">
                            Stream on 4 devices at a time
                        </li>
                        <li class="list-group-item border-0 d-flex">
                            <img class="me-2" src="{% static 'icons/check.svg' %}" alt="check-icon" width="24">
                            Offline Viewing
                        </li>
                        <li class="list-group-item border-0 d-flex">
                            <img class="me-2" src="{% static 'icons/check.svg' %}" alt="check-icon" width="24">
                            xx% discount on Monthly Plan
                        </li>
                    </ul>

                    <div class="d-flex justify-content-center">
                        {% if existing_premium and not existing_premium.scaduto and existing_premium.id_premium.pk == premiumOfferts.2.id %}
                            <button class="btn btn-primary" data-bs-toggle="modal"
                                    data-bs-target="#del-premium-{{ existing_premium.id }}-modal">
                                UNSUBSCRIBE
                            </button>
                            {% include 'animeflix_app/pages/deleteSubscriptionModal.html' %}
                        {% else %}
                            <button type="submit" name="offert" class="btn btn-primary" value="{{ premiumOfferts.2.id }}">
                                SUBSCRIBE
                            </button>
                        {% endif %}
                    </div>
                </div>
            </div>
        </div>
    </form>
</section>

<script>
    $('button[data-bs-toggle="modal"]').click(function (e) {
        e.preventDefault();
    });
</script>

{% endblock %}